<?xml version="1.0" encoding="Shift_JIS" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
<!--
Age of Mythology Recorded File Viewer t@Cl[pev[g
-->
<xsl:include href="trim.xsl"/>
<xsl:output method="text" omit-xml-declaration="yes"/>
<xsl:strip-space elements="*" />

<xsl:template match="/GameSettings">
<xsl:variable name="star_time" select="translate(substring-before(Q[Jn,' '),'/','')"/>
<xsl:call-template name="trim"><xsl:with-param name="str" select="$star_time" /></xsl:call-template>
<xsl:value-of select="'_'"/>
<!--vC[-->
<xsl:for-each select="vC[">
	<xsl:sort select="`[" data-type="number" order="ascending" />
	<xsl:value-of select="'('"/>
	<xsl:call-template name="trim"><xsl:with-param name="str" select="O" /></xsl:call-template>
	<xsl:value-of select="'F'"/>
	<xsl:call-template name="trim"><xsl:with-param name="str" select="substring-before([g,'.')" /></xsl:call-template>
	<xsl:value-of select="')'"/>
	<xsl:if test="position() != last()">
		<xsl:value-of select="'vs'"/>
	</xsl:if>
</xsl:for-each>
<xsl:value-of select="'_'"/>
<xsl:call-template name="trim"><xsl:with-param name="str" select="}bv" /></xsl:call-template>
</xsl:template>
</xsl:stylesheet>
